aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws

Contents

- Logging
- Configuration
- Transaction runners
  - Safe runners
  - Unsafe runners
  - URI runners
  - Iterated runners
- Response
  - Full HTTP response
  - Metadata in responses
  - Memory responses
  - Exception types
- Query
  - Service configuration
  - Expiration
- Transactions
- Credentials

Synopsis

- data LogLevel
  - = Debug
  - | Info
  - | Warning
  - | Error
- type Logger = LogLevel -> Text -> IO ()
- defaultLog :: LogLevel -> Logger
- data Configuration = Configuration {
  - timeInfo :: TimeInfo
  - credentials :: Credentials
  - logger :: Logger
  - proxy :: Maybe Proxy
  }
- baseConfiguration :: MonadIO io => io Configuration
- dbgConfiguration :: MonadIO io => io Configuration
- aws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a)
- awsRef :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a
- pureAws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO a
- simpleAws :: (Transaction r a, AsMemoryResponse a, MonadIO io) => Configuration -> ServiceConfiguration r NormalQuery -> r -> io (MemoryResponse a)
- unsafeAws :: (ResponseConsumer r a, Loggable (ResponseMetadata a), SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a)
- unsafeAwsRef :: (ResponseConsumer r a, SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a
- awsUri :: (SignQuery request, MonadIO io) => Configuration -> ServiceConfiguration request UriOnlyQuery -> request -> io ByteString
- awsIteratedSource :: IteratedTransaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall i. ConduitT i (Response (ResponseMetadata a) a) (ResourceT IO) ()
- awsIteratedList :: (IteratedTransaction r a, ListResponse a i) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall j. ConduitT j i (ResourceT IO) ()
- type HTTPResponseConsumer a = Response (ConduitM () ByteString (ResourceT IO) ()) -> ResourceT IO a
- data Response m a = Response {
  - responseMetadata :: m
  - responseResult :: Either SomeException a
  }
- readResponse :: MonadThrow n => Response m a -> n a
- readResponseIO :: MonadIO io => Response m a -> io a
- type family ResponseMetadata resp
- class AsMemoryResponse resp where
  - type MemoryResponse resp
  - loadToMemory :: resp -> ResourceT IO (MemoryResponse resp)
- newtype XmlException = XmlException {
  - xmlErrorMessage :: String
  }
- newtype HeaderException = HeaderException {
  - headerErrorMessage :: String
  }
- newtype FormException = FormException {
  - formErrorMesage :: String
  }
- type family ServiceConfiguration request :: Type -> Type
- class DefaultServiceConfiguration config where
  - defServiceConfig :: config
  - debugServiceConfig :: config
- data NormalQuery
- data UriOnlyQuery
- data TimeInfo
  - = Timestamp
  - | ExpiresAt {
    - fromExpiresAt :: UTCTime
    }
  - | ExpiresIn {
    - fromExpiresIn :: NominalDiffTime
    }
- class (SignQuery r, ResponseConsumer r a, Loggable (ResponseMetadata a)) => Transaction r a | r -> a
- class Transaction r a => IteratedTransaction r a | r -> a
- data Credentials = Credentials {
  - accessKeyID :: ByteString
  - secretAccessKey :: ByteString
  - v4SigningKeys :: IORef [V4Key]
  - iamToken :: Maybe ByteString
  - isAnonymousCredentials :: Bool
  }
- makeCredentials :: MonadIO io => ByteString -> ByteString -> io Credentials
- credentialsDefaultFile :: MonadIO io => io (Maybe FilePath)
- credentialsDefaultKey :: Text
- loadCredentialsFromFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsFromEnv :: MonadIO io => io (Maybe Credentials)
- loadCredentialsFromInstanceMetadata :: MonadIO io => io (Maybe Credentials)
- loadCredentialsFromEnvOrFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsFromEnvOrFileOrInstanceMetadata :: MonadIO io => FilePath -> Text -> io (Maybe Credentials)
- loadCredentialsDefault :: MonadIO io => io (Maybe Credentials)
- anonymousCredentials :: MonadIO io => io Credentials

# Logging

data LogLevel Source #

The severity of a log message, in rising order.

Constructors

Debug |
Info |
Warning |
Error |

#### Instances

Instances details

Show LogLevel Source # |
Instance details Defined in Aws.Aws Methods showsPrec :: Int -> LogLevel -> ShowS Source # show :: LogLevel -> String Source # showList :: [LogLevel] -> ShowS Source #
Eq LogLevel Source # |
Instance details Defined in Aws.Aws Methods (==) :: LogLevel -> LogLevel -> Bool Source # (/=) :: LogLevel -> LogLevel -> Bool Source #
Ord LogLevel Source # |
Instance details Defined in Aws.Aws Methods compare :: LogLevel -> LogLevel -> Ordering Source # (<) :: LogLevel -> LogLevel -> Bool Source # (<=) :: LogLevel -> LogLevel -> Bool Source # (>) :: LogLevel -> LogLevel -> Bool Source # (>=) :: LogLevel -> LogLevel -> Bool Source # max :: LogLevel -> LogLevel -> LogLevel Source # min :: LogLevel -> LogLevel -> LogLevel Source #

type Logger = LogLevel -> Text -> IO () Source #

The interface for any logging function. Takes log level and a log message, and can perform an arbitrary IO action.

defaultLog :: LogLevel -> Logger Source #

The default logger `defaultLog minLevel`, which prints log messages above level `minLevel` to `stderr`.

# Configuration

data Configuration Source #

The configuration for an AWS request. You can use multiple configurations in parallel, even over the same HTTP connection manager.

Constructors

Configuration |

Fields

- timeInfo :: TimeInfo

  Whether to restrict the signature validity with a plain timestamp, or with explicit expiration (absolute or relative).

- credentials :: Credentials

  AWS access credentials.

- logger :: Logger

  The error / message logger.

- proxy :: Maybe Proxy

baseConfiguration :: MonadIO io => io Configuration Source #

The default configuration, with credentials loaded from environment variable or configuration file (see `loadCredentialsDefault`).

dbgConfiguration :: MonadIO io => io Configuration Source #

Debug configuration, which logs much more verbosely.

# Transaction runners

## Safe runners

aws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a) Source #

Run an AWS transaction, with HTTP manager and metadata wrapped in a `Response`.

All errors are caught and wrapped in the `Response` value.

Metadata is logged at level `Info`.

Usage (with existing `Manager`): `resp <- aws cfg serviceCfg manager request`

awsRef :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a Source #

Run an AWS transaction, with HTTP manager and metadata returned in an `IORef`.

Errors are not caught, and need to be handled with exception handlers.

Metadata is not logged.

Usage (with existing `Manager`): `ref <- newIORef mempty; resp <- awsRef cfg serviceCfg manager request`

pureAws :: Transaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO a Source #

Run an AWS transaction, with HTTP manager and without metadata.

Metadata is logged at level `Info`.

Usage (with existing `Manager`): `resp <- aws cfg serviceCfg manager request`

simpleAws :: (Transaction r a, AsMemoryResponse a, MonadIO io) => Configuration -> ServiceConfiguration r NormalQuery -> r -> io (MemoryResponse a) Source #

Run an AWS transaction, without HTTP manager and without metadata.

Metadata is logged at level `Info`.

Note that this is potentially less efficient than using `aws`, because HTTP connections cannot be re-used.

Usage: `resp <- simpleAws cfg serviceCfg request`

## Unsafe runners

unsafeAws :: (ResponseConsumer r a, Loggable (ResponseMetadata a), SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> ResourceT IO (Response (ResponseMetadata a) a) Source #

Run an AWS transaction, without enforcing that response and request type form a valid transaction pair.

This is especially useful for debugging and development, you should not have to use it in production.

All errors are caught and wrapped in the `Response` value.

Metadata is wrapped in the Response, and also logged at level `Info`.

unsafeAwsRef :: (ResponseConsumer r a, SignQuery r) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> IORef (ResponseMetadata a) -> r -> ResourceT IO a Source #

Run an AWS transaction, without enforcing that response and request type form a valid transaction pair.

This is especially useful for debugging and development, you should not have to use it in production.

Errors are not caught, and need to be handled with exception handlers.

Metadata is put in the `IORef`, but not logged.

## URI runners

awsUri :: (SignQuery request, MonadIO io) => Configuration -> ServiceConfiguration request UriOnlyQuery -> request -> io ByteString Source #

Run a URI-only AWS transaction. Returns a URI that can be sent anywhere. Does not work with all requests.

Usage: `uri <- awsUri cfg request`

## Iterated runners

awsIteratedSource :: IteratedTransaction r a => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall i. ConduitT i (Response (ResponseMetadata a) a) (ResourceT IO) () Source #

awsIteratedList :: (IteratedTransaction r a, ListResponse a i) => Configuration -> ServiceConfiguration r NormalQuery -> Manager -> r -> forall j. ConduitT j i (ResourceT IO) () Source #

# Response

## Full HTTP response

type HTTPResponseConsumer a = Response (ConduitM () ByteString (ResourceT IO) ()) -> ResourceT IO a Source #

A full HTTP response parser. Takes HTTP status, response headers, and response body.

## Metadata in responses

data Response m a Source #

A response with metadata. Can also contain an error response, or an internal error, via `Attempt`.

Response forms a Writer-like monad.

Constructors

Response |

Fields

- responseMetadata :: m
- responseResult :: Either SomeException a

#### Instances

Instances details

Monoid m => MonadThrow (Response m) Source # |
Instance details Defined in Aws.Core Methods throwM :: (HasCallStack, Exception e) => e -> Response m a Source #
Monoid m => Applicative (Response m) Source # |
Instance details Defined in Aws.Core Methods pure :: a -> Response m a Source # (<*>) :: Response m (a -> b) -> Response m a -> Response m b Source # liftA2 :: (a -> b -> c) -> Response m a -> Response m b -> Response m c Source # (*>) :: Response m a -> Response m b -> Response m b Source # (<*) :: Response m a -> Response m b -> Response m a Source #
Functor (Response m) Source # |
Instance details Defined in Aws.Core Methods fmap :: (a -> b) -> Response m a -> Response m b Source # (<$) :: a -> Response m b -> Response m a Source #
Monoid m => Monad (Response m) Source # |
Instance details Defined in Aws.Core Methods (>>=) :: Response m a -> (a -> Response m b) -> Response m b Source # (>>) :: Response m a -> Response m b -> Response m b Source # return :: a -> Response m a Source #
(Show m, Show a) => Show (Response m a) Source # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Response m a -> ShowS Source # show :: Response m a -> String Source # showList :: [Response m a] -> ShowS Source #

readResponse :: MonadThrow n => Response m a -> n a Source #

Read a response result (if it's a success response, fail otherwise).

readResponseIO :: MonadIO io => Response m a -> io a Source #

Read a response result (if it's a success response, fail otherwise). In MonadIO.

type family ResponseMetadata resp Source #

Metadata associated with a response. Typically there is one metadata type for each AWS service.

#### Instances

Instances details

type ResponseMetadata BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ResponseMetadata BatchGetItemResponse = DdbResponse
type ResponseMetadata BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ResponseMetadata BatchWriteItemResponse = DdbResponse
type ResponseMetadata DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ResponseMetadata DeleteItemResponse = DdbResponse
type ResponseMetadata GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ResponseMetadata GetItemResponse = DdbResponse
type ResponseMetadata PutItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ResponseMetadata PutItemResponse = DdbResponse
type ResponseMetadata QueryResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Query type ResponseMetadata QueryResponse = DdbResponse
type ResponseMetadata ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ResponseMetadata ScanResponse = DdbResponse
type ResponseMetadata CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata CreateTableResult = DdbResponse
type ResponseMetadata DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DeleteTableResult = DdbResponse
type ResponseMetadata DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata DescribeTableResult = DdbResponse
type ResponseMetadata ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata ListTablesResult = DdbResponse
type ResponseMetadata UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ResponseMetadata UpdateTableResult = DdbResponse
type ResponseMetadata UpdateItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ResponseMetadata UpdateItemResponse = DdbResponse
type ResponseMetadata AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ResponseMetadata AddUserToGroupResponse = IamMetadata
type ResponseMetadata CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ResponseMetadata CreateAccessKeyResponse = IamMetadata
type ResponseMetadata CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ResponseMetadata CreateGroupResponse = IamMetadata
type ResponseMetadata CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ResponseMetadata CreateUserResponse = IamMetadata
type ResponseMetadata DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ResponseMetadata DeleteAccessKeyResponse = IamMetadata
type ResponseMetadata DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ResponseMetadata DeleteGroupResponse = IamMetadata
type ResponseMetadata DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata
type ResponseMetadata DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ResponseMetadata DeleteUserResponse = IamMetadata
type ResponseMetadata DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ResponseMetadata DeleteUserPolicyResponse = IamMetadata
type ResponseMetadata GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ResponseMetadata GetGroupPolicyResponse = IamMetadata
type ResponseMetadata GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser type ResponseMetadata GetUserResponse = IamMetadata
type ResponseMetadata GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ResponseMetadata GetUserPolicyResponse = IamMetadata
type ResponseMetadata ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ResponseMetadata ListAccessKeysResponse = IamMetadata
type ResponseMetadata ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ResponseMetadata ListGroupPoliciesResponse = IamMetadata
type ResponseMetadata ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ResponseMetadata ListGroupsResponse = IamMetadata
type ResponseMetadata ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ResponseMetadata ListMfaDevicesResponse = IamMetadata
type ResponseMetadata ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata
type ResponseMetadata ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata
type ResponseMetadata PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ResponseMetadata PutGroupPolicyResponse = IamMetadata
type ResponseMetadata PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ResponseMetadata PutUserPolicyResponse = IamMetadata
type ResponseMetadata RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ResponseMetadata RemoveUserFromGroupResponse = IamMetadata
type ResponseMetadata UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata
type ResponseMetadata UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ResponseMetadata UpdateGroupResponse = IamMetadata
type ResponseMetadata UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ResponseMetadata UpdateUserResponse = IamMetadata
type ResponseMetadata CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject type ResponseMetadata CopyObjectResponse = S3Metadata
type ResponseMetadata DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ResponseMetadata DeleteBucketResponse = S3Metadata
type ResponseMetadata DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ResponseMetadata DeleteObjectResponse = S3Metadata
type ResponseMetadata DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ResponseMetadata DeleteObjectVersionResponse = S3Metadata
type ResponseMetadata DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ResponseMetadata DeleteObjectsResponse = S3Metadata
type ResponseMetadata GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket type ResponseMetadata GetBucketResponse = S3Metadata
type ResponseMetadata GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ResponseMetadata GetBucketLocationResponse = S3Metadata
type ResponseMetadata GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ResponseMetadata GetBucketObjectVersionsResponse = S3Metadata
type ResponseMetadata GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ResponseMetadata GetBucketVersioningResponse = S3Metadata
type ResponseMetadata GetObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject type ResponseMetadata GetObjectResponse = S3Metadata
type ResponseMetadata GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService type ResponseMetadata GetServiceResponse = S3Metadata
type ResponseMetadata HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject type ResponseMetadata HeadObjectResponse = S3Metadata
type ResponseMetadata AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata AbortMultipartUploadResponse = S3Metadata
type ResponseMetadata CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata CompleteMultipartUploadResponse = S3Metadata
type ResponseMetadata InitiateMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata InitiateMultipartUploadResponse = S3Metadata
type ResponseMetadata UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ResponseMetadata UploadPartResponse = S3Metadata
type ResponseMetadata PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket type ResponseMetadata PutBucketResponse = S3Metadata
type ResponseMetadata PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ResponseMetadata PutBucketVersioningResponse = S3Metadata
type ResponseMetadata PutObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.PutObject type ResponseMetadata PutObjectResponse = S3Metadata
type ResponseMetadata DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ResponseMetadata DeleteIdentityResponse = SesMetadata
type ResponseMetadata GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ResponseMetadata GetIdentityDkimAttributesResponse = SesMetadata
type ResponseMetadata GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ResponseMetadata GetIdentityNotificationAttributesResponse = SesMetadata
type ResponseMetadata GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ResponseMetadata GetIdentityVerificationAttributesResponse = SesMetadata
type ResponseMetadata ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ResponseMetadata ListIdentitiesResponse = SesMetadata
type ResponseMetadata SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ResponseMetadata SendRawEmailResponse = SesMetadata
type ResponseMetadata SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ResponseMetadata SetIdentityDkimEnabledResponse = SesMetadata
type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ResponseMetadata SetIdentityFeedbackForwardingEnabledResponse = SesMetadata
type ResponseMetadata SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ResponseMetadata SetIdentityNotificationTopicResponse = SesMetadata
type ResponseMetadata VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ResponseMetadata VerifyDomainDkimResponse = SesMetadata
type ResponseMetadata VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ResponseMetadata VerifyDomainIdentityResponse = SesMetadata
type ResponseMetadata VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ResponseMetadata VerifyEmailIdentityResponse = SesMetadata
type ResponseMetadata BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchDeleteAttributesResponse = SdbMetadata
type ResponseMetadata BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata BatchPutAttributesResponse = SdbMetadata
type ResponseMetadata DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata DeleteAttributesResponse = SdbMetadata
type ResponseMetadata GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata GetAttributesResponse = SdbMetadata
type ResponseMetadata PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ResponseMetadata PutAttributesResponse = SdbMetadata
type ResponseMetadata CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata CreateDomainResponse = SdbMetadata
type ResponseMetadata DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DeleteDomainResponse = SdbMetadata
type ResponseMetadata DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata DomainMetadataResponse = SdbMetadata
type ResponseMetadata ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ResponseMetadata ListDomainsResponse = SdbMetadata
type ResponseMetadata SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ResponseMetadata SelectResponse = SdbMetadata
type ResponseMetadata ChangeMessageVisibilityResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata ChangeMessageVisibilityResponse = SqsMetadata
type ResponseMetadata DeleteMessageResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata DeleteMessageResponse = SqsMetadata
type ResponseMetadata ReceiveMessageResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata ReceiveMessageResponse = SqsMetadata
type ResponseMetadata SendMessageResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ResponseMetadata SendMessageResponse = SqsMetadata
type ResponseMetadata AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata AddPermissionResponse = SqsMetadata
type ResponseMetadata RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ResponseMetadata RemovePermissionResponse = SqsMetadata
type ResponseMetadata CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata
type ResponseMetadata DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata
type ResponseMetadata ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata
type ResponseMetadata GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata GetQueueAttributesResponse = SqsMetadata
type ResponseMetadata SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ResponseMetadata SetQueueAttributesResponse = SqsMetadata
type ResponseMetadata (Response ByteString) Source # |
Instance details Defined in Aws.Core type ResponseMetadata (Response ByteString) = ()

## Memory responses

class AsMemoryResponse resp where Source #

Class for responses that are fully loaded into memory

Associated Types

type MemoryResponse resp Source #

Methods

loadToMemory :: resp -> ResourceT IO (MemoryResponse resp) Source #

#### Instances

Instances details

AsMemoryResponse BatchGetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchGetItem

Associated Types

type MemoryResponse BatchGetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type MemoryResponse BatchGetItemResponse = BatchGetItemResponse

Methods

loadToMemory :: BatchGetItemResponse -> ResourceT IO (MemoryResponse BatchGetItemResponse) Source #

AsMemoryResponse BatchWriteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.BatchWriteItem

Associated Types

type MemoryResponse BatchWriteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type MemoryResponse BatchWriteItemResponse = BatchWriteItemResponse

Methods

loadToMemory :: BatchWriteItemResponse -> ResourceT IO (MemoryResponse BatchWriteItemResponse) Source #

AsMemoryResponse DeleteItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.DeleteItem

Associated Types

type MemoryResponse DeleteItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type MemoryResponse DeleteItemResponse = DeleteItemResponse

Methods

loadToMemory :: DeleteItemResponse -> ResourceT IO (MemoryResponse DeleteItemResponse) Source #

AsMemoryResponse GetItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.GetItem

Associated Types

type MemoryResponse GetItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type MemoryResponse GetItemResponse = GetItemResponse

Methods

loadToMemory :: GetItemResponse -> ResourceT IO (MemoryResponse GetItemResponse) Source #

AsMemoryResponse PutItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.PutItem

Associated Types

type MemoryResponse PutItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type MemoryResponse PutItemResponse = PutItemResponse

Methods

loadToMemory :: PutItemResponse -> ResourceT IO (MemoryResponse PutItemResponse) Source #

AsMemoryResponse QueryResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Query

Associated Types

type MemoryResponse QueryResponse |
Instance details Defined in Aws.DynamoDb.Commands.Query type MemoryResponse QueryResponse = QueryResponse

Methods

loadToMemory :: QueryResponse -> ResourceT IO (MemoryResponse QueryResponse) Source #

AsMemoryResponse ScanResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Scan

Associated Types

type MemoryResponse ScanResponse |
Instance details Defined in Aws.DynamoDb.Commands.Scan type MemoryResponse ScanResponse = ScanResponse

Methods

loadToMemory :: ScanResponse -> ResourceT IO (MemoryResponse ScanResponse) Source #

AsMemoryResponse CreateTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse CreateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse CreateTableResult = TableDescription

Methods

loadToMemory :: CreateTableResult -> ResourceT IO (MemoryResponse CreateTableResult) Source #

AsMemoryResponse DeleteTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DeleteTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DeleteTableResult = TableDescription

Methods

loadToMemory :: DeleteTableResult -> ResourceT IO (MemoryResponse DeleteTableResult) Source #

AsMemoryResponse DescribeTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse DescribeTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse DescribeTableResult = TableDescription

Methods

loadToMemory :: DescribeTableResult -> ResourceT IO (MemoryResponse DescribeTableResult) Source #

AsMemoryResponse ListTablesResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse ListTablesResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse ListTablesResult = [Text]

Methods

loadToMemory :: ListTablesResult -> ResourceT IO (MemoryResponse ListTablesResult) Source #

AsMemoryResponse UpdateTableResult Source # |

Instance details

Defined in Aws.DynamoDb.Commands.Table

Associated Types

type MemoryResponse UpdateTableResult |
Instance details Defined in Aws.DynamoDb.Commands.Table type MemoryResponse UpdateTableResult = TableDescription

Methods

loadToMemory :: UpdateTableResult -> ResourceT IO (MemoryResponse UpdateTableResult) Source #

AsMemoryResponse UpdateItemResponse Source # |

Instance details

Defined in Aws.DynamoDb.Commands.UpdateItem

Associated Types

type MemoryResponse UpdateItemResponse |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type MemoryResponse UpdateItemResponse = UpdateItemResponse

Methods

loadToMemory :: UpdateItemResponse -> ResourceT IO (MemoryResponse UpdateItemResponse) Source #

AsMemoryResponse AddUserToGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.AddUserToGroup

Associated Types

type MemoryResponse AddUserToGroupResponse |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type MemoryResponse AddUserToGroupResponse = AddUserToGroupResponse

Methods

loadToMemory :: AddUserToGroupResponse -> ResourceT IO (MemoryResponse AddUserToGroupResponse) Source #

AsMemoryResponse CreateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateAccessKey

Associated Types

type MemoryResponse CreateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type MemoryResponse CreateAccessKeyResponse = CreateAccessKeyResponse

Methods

loadToMemory :: CreateAccessKeyResponse -> ResourceT IO (MemoryResponse CreateAccessKeyResponse) Source #

AsMemoryResponse CreateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateGroup

Associated Types

type MemoryResponse CreateGroupResponse |
Instance details Defined in Aws.Iam.Commands.CreateGroup type MemoryResponse CreateGroupResponse = CreateGroupResponse

Methods

loadToMemory :: CreateGroupResponse -> ResourceT IO (MemoryResponse CreateGroupResponse) Source #

AsMemoryResponse CreateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.CreateUser

Associated Types

type MemoryResponse CreateUserResponse |
Instance details Defined in Aws.Iam.Commands.CreateUser type MemoryResponse CreateUserResponse = CreateUserResponse

Methods

loadToMemory :: CreateUserResponse -> ResourceT IO (MemoryResponse CreateUserResponse) Source #

AsMemoryResponse DeleteAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteAccessKey

Associated Types

type MemoryResponse DeleteAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type MemoryResponse DeleteAccessKeyResponse = DeleteAccessKeyResponse

Methods

loadToMemory :: DeleteAccessKeyResponse -> ResourceT IO (MemoryResponse DeleteAccessKeyResponse) Source #

AsMemoryResponse DeleteGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroup

Associated Types

type MemoryResponse DeleteGroupResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type MemoryResponse DeleteGroupResponse = DeleteGroupResponse

Methods

loadToMemory :: DeleteGroupResponse -> ResourceT IO (MemoryResponse DeleteGroupResponse) Source #

AsMemoryResponse DeleteGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type MemoryResponse DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

Methods

loadToMemory :: DeleteGroupPolicyResponse -> ResourceT IO (MemoryResponse DeleteGroupPolicyResponse) Source #

AsMemoryResponse DeleteUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUser

Associated Types

type MemoryResponse DeleteUserResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUser type MemoryResponse DeleteUserResponse = DeleteUserResponse

Methods

loadToMemory :: DeleteUserResponse -> ResourceT IO (MemoryResponse DeleteUserResponse) Source #

AsMemoryResponse DeleteUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteUserPolicy

Associated Types

type MemoryResponse DeleteUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type MemoryResponse DeleteUserPolicyResponse = DeleteUserPolicyResponse

Methods

loadToMemory :: DeleteUserPolicyResponse -> ResourceT IO (MemoryResponse DeleteUserPolicyResponse) Source #

AsMemoryResponse GetGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetGroupPolicy

Associated Types

type MemoryResponse GetGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type MemoryResponse GetGroupPolicyResponse = GetGroupPolicyResponse

Methods

loadToMemory :: GetGroupPolicyResponse -> ResourceT IO (MemoryResponse GetGroupPolicyResponse) Source #

AsMemoryResponse GetUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUser

Associated Types

type MemoryResponse GetUserResponse |
Instance details Defined in Aws.Iam.Commands.GetUser type MemoryResponse GetUserResponse = GetUserResponse

Methods

loadToMemory :: GetUserResponse -> ResourceT IO (MemoryResponse GetUserResponse) Source #

AsMemoryResponse GetUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.GetUserPolicy

Associated Types

type MemoryResponse GetUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type MemoryResponse GetUserPolicyResponse = GetUserPolicyResponse

Methods

loadToMemory :: GetUserPolicyResponse -> ResourceT IO (MemoryResponse GetUserPolicyResponse) Source #

AsMemoryResponse ListAccessKeysResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListAccessKeys

Associated Types

type MemoryResponse ListAccessKeysResponse |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type MemoryResponse ListAccessKeysResponse = ListAccessKeysResponse

Methods

loadToMemory :: ListAccessKeysResponse -> ResourceT IO (MemoryResponse ListAccessKeysResponse) Source #

AsMemoryResponse ListGroupPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroupPolicies

Associated Types

type MemoryResponse ListGroupPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type MemoryResponse ListGroupPoliciesResponse = ListGroupPoliciesResponse

Methods

loadToMemory :: ListGroupPoliciesResponse -> ResourceT IO (MemoryResponse ListGroupPoliciesResponse) Source #

AsMemoryResponse ListGroupsResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListGroups

Associated Types

type MemoryResponse ListGroupsResponse |
Instance details Defined in Aws.Iam.Commands.ListGroups type MemoryResponse ListGroupsResponse = ListGroupsResponse

Methods

loadToMemory :: ListGroupsResponse -> ResourceT IO (MemoryResponse ListGroupsResponse) Source #

AsMemoryResponse ListMfaDevicesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListMfaDevices

Associated Types

type MemoryResponse ListMfaDevicesResponse |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type MemoryResponse ListMfaDevicesResponse = ListMfaDevicesResponse

Methods

loadToMemory :: ListMfaDevicesResponse -> ResourceT IO (MemoryResponse ListMfaDevicesResponse) Source #

AsMemoryResponse ListUserPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type MemoryResponse ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse

Methods

loadToMemory :: ListUserPoliciesResponse -> ResourceT IO (MemoryResponse ListUserPoliciesResponse) Source #

AsMemoryResponse ListUsersResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type MemoryResponse ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse

Methods

loadToMemory :: ListUsersResponse -> ResourceT IO (MemoryResponse ListUsersResponse) Source #

AsMemoryResponse PutGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutGroupPolicy

Associated Types

type MemoryResponse PutGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type MemoryResponse PutGroupPolicyResponse = PutGroupPolicyResponse

Methods

loadToMemory :: PutGroupPolicyResponse -> ResourceT IO (MemoryResponse PutGroupPolicyResponse) Source #

AsMemoryResponse PutUserPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.PutUserPolicy

Associated Types

type MemoryResponse PutUserPolicyResponse |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type MemoryResponse PutUserPolicyResponse = PutUserPolicyResponse

Methods

loadToMemory :: PutUserPolicyResponse -> ResourceT IO (MemoryResponse PutUserPolicyResponse) Source #

AsMemoryResponse RemoveUserFromGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.RemoveUserFromGroup

Associated Types

type MemoryResponse RemoveUserFromGroupResponse |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type MemoryResponse RemoveUserFromGroupResponse = RemoveUserFromGroupResponse

Methods

loadToMemory :: RemoveUserFromGroupResponse -> ResourceT IO (MemoryResponse RemoveUserFromGroupResponse) Source #

AsMemoryResponse UpdateAccessKeyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type MemoryResponse UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse

Methods

loadToMemory :: UpdateAccessKeyResponse -> ResourceT IO (MemoryResponse UpdateAccessKeyResponse) Source #

AsMemoryResponse UpdateGroupResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateGroup

Associated Types

type MemoryResponse UpdateGroupResponse |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type MemoryResponse UpdateGroupResponse = UpdateGroupResponse

Methods

loadToMemory :: UpdateGroupResponse -> ResourceT IO (MemoryResponse UpdateGroupResponse) Source #

AsMemoryResponse UpdateUserResponse Source # |

Instance details

Defined in Aws.Iam.Commands.UpdateUser

Associated Types

type MemoryResponse UpdateUserResponse |
Instance details Defined in Aws.Iam.Commands.UpdateUser type MemoryResponse UpdateUserResponse = UpdateUserResponse

Methods

loadToMemory :: UpdateUserResponse -> ResourceT IO (MemoryResponse UpdateUserResponse) Source #

AsMemoryResponse CopyObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.CopyObject

Associated Types

type MemoryResponse CopyObjectResponse |
Instance details Defined in Aws.S3.Commands.CopyObject type MemoryResponse CopyObjectResponse = CopyObjectResponse

Methods

loadToMemory :: CopyObjectResponse -> ResourceT IO (MemoryResponse CopyObjectResponse) Source #

AsMemoryResponse DeleteBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteBucket

Associated Types

type MemoryResponse DeleteBucketResponse |
Instance details Defined in Aws.S3.Commands.DeleteBucket type MemoryResponse DeleteBucketResponse = DeleteBucketResponse

Methods

loadToMemory :: DeleteBucketResponse -> ResourceT IO (MemoryResponse DeleteBucketResponse) Source #

AsMemoryResponse DeleteObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObject

Associated Types

type MemoryResponse DeleteObjectResponse |
Instance details Defined in Aws.S3.Commands.DeleteObject type MemoryResponse DeleteObjectResponse = DeleteObjectResponse

Methods

loadToMemory :: DeleteObjectResponse -> ResourceT IO (MemoryResponse DeleteObjectResponse) Source #

AsMemoryResponse DeleteObjectVersionResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjectVersion

Associated Types

type MemoryResponse DeleteObjectVersionResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type MemoryResponse DeleteObjectVersionResponse = DeleteObjectVersionResponse

Methods

loadToMemory :: DeleteObjectVersionResponse -> ResourceT IO (MemoryResponse DeleteObjectVersionResponse) Source #

AsMemoryResponse DeleteObjectsResponse Source # |

Instance details

Defined in Aws.S3.Commands.DeleteObjects

Associated Types

type MemoryResponse DeleteObjectsResponse |
Instance details Defined in Aws.S3.Commands.DeleteObjects type MemoryResponse DeleteObjectsResponse = DeleteObjectsResponse

Methods

loadToMemory :: DeleteObjectsResponse -> ResourceT IO (MemoryResponse DeleteObjectsResponse) Source #

AsMemoryResponse GetBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucket

Associated Types

type MemoryResponse GetBucketResponse |
Instance details Defined in Aws.S3.Commands.GetBucket type MemoryResponse GetBucketResponse = GetBucketResponse

Methods

loadToMemory :: GetBucketResponse -> ResourceT IO (MemoryResponse GetBucketResponse) Source #

AsMemoryResponse GetBucketLocationResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketLocation

Associated Types

type MemoryResponse GetBucketLocationResponse |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type MemoryResponse GetBucketLocationResponse = GetBucketLocationResponse

Methods

loadToMemory :: GetBucketLocationResponse -> ResourceT IO (MemoryResponse GetBucketLocationResponse) Source #

AsMemoryResponse GetBucketObjectVersionsResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketObjectVersions

Associated Types

type MemoryResponse GetBucketObjectVersionsResponse |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type MemoryResponse GetBucketObjectVersionsResponse = GetBucketObjectVersionsResponse

Methods

loadToMemory :: GetBucketObjectVersionsResponse -> ResourceT IO (MemoryResponse GetBucketObjectVersionsResponse) Source #

AsMemoryResponse GetBucketVersioningResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetBucketVersioning

Associated Types

type MemoryResponse GetBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type MemoryResponse GetBucketVersioningResponse = GetBucketVersioningResponse

Methods

loadToMemory :: GetBucketVersioningResponse -> ResourceT IO (MemoryResponse GetBucketVersioningResponse) Source #

AsMemoryResponse GetObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetObject

Associated Types

type MemoryResponse GetObjectResponse |
Instance details Defined in Aws.S3.Commands.GetObject type MemoryResponse GetObjectResponse = GetObjectMemoryResponse

Methods

loadToMemory :: GetObjectResponse -> ResourceT IO (MemoryResponse GetObjectResponse) Source #

AsMemoryResponse GetServiceResponse Source # |

Instance details

Defined in Aws.S3.Commands.GetService

Associated Types

type MemoryResponse GetServiceResponse |
Instance details Defined in Aws.S3.Commands.GetService type MemoryResponse GetServiceResponse = GetServiceResponse

Methods

loadToMemory :: GetServiceResponse -> ResourceT IO (MemoryResponse GetServiceResponse) Source #

AsMemoryResponse HeadObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.HeadObject

Associated Types

type MemoryResponse HeadObjectResponse |
Instance details Defined in Aws.S3.Commands.HeadObject type MemoryResponse HeadObjectResponse = HeadObjectMemoryResponse

Methods

loadToMemory :: HeadObjectResponse -> ResourceT IO (MemoryResponse HeadObjectResponse) Source #

AsMemoryResponse AbortMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse AbortMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse AbortMultipartUploadResponse = AbortMultipartUploadResponse

Methods

loadToMemory :: AbortMultipartUploadResponse -> ResourceT IO (MemoryResponse AbortMultipartUploadResponse) Source #

AsMemoryResponse CompleteMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse CompleteMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse CompleteMultipartUploadResponse = CompleteMultipartUploadResponse

Methods

loadToMemory :: CompleteMultipartUploadResponse -> ResourceT IO (MemoryResponse CompleteMultipartUploadResponse) Source #

AsMemoryResponse InitiateMultipartUploadResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse InitiateMultipartUploadResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse InitiateMultipartUploadResponse = InitiateMultipartUploadResponse

Methods

loadToMemory :: InitiateMultipartUploadResponse -> ResourceT IO (MemoryResponse InitiateMultipartUploadResponse) Source #

AsMemoryResponse UploadPartResponse Source # |

Instance details

Defined in Aws.S3.Commands.Multipart

Associated Types

type MemoryResponse UploadPartResponse |
Instance details Defined in Aws.S3.Commands.Multipart type MemoryResponse UploadPartResponse = UploadPartResponse

Methods

loadToMemory :: UploadPartResponse -> ResourceT IO (MemoryResponse UploadPartResponse) Source #

AsMemoryResponse PutBucketResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutBucket

Associated Types

type MemoryResponse PutBucketResponse |
Instance details Defined in Aws.S3.Commands.PutBucket type MemoryResponse PutBucketResponse = PutBucketResponse

Methods

loadToMemory :: PutBucketResponse -> ResourceT IO (MemoryResponse PutBucketResponse) Source #

AsMemoryResponse PutBucketVersioningResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutBucketVersioning

Associated Types

type MemoryResponse PutBucketVersioningResponse |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type MemoryResponse PutBucketVersioningResponse = PutBucketVersioningResponse

Methods

loadToMemory :: PutBucketVersioningResponse -> ResourceT IO (MemoryResponse PutBucketVersioningResponse) Source #

AsMemoryResponse PutObjectResponse Source # |

Instance details

Defined in Aws.S3.Commands.PutObject

Associated Types

type MemoryResponse PutObjectResponse |
Instance details Defined in Aws.S3.Commands.PutObject type MemoryResponse PutObjectResponse = PutObjectResponse

Methods

loadToMemory :: PutObjectResponse -> ResourceT IO (MemoryResponse PutObjectResponse) Source #

AsMemoryResponse DeleteIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.DeleteIdentity

Associated Types

type MemoryResponse DeleteIdentityResponse |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type MemoryResponse DeleteIdentityResponse = DeleteIdentityResponse

Methods

loadToMemory :: DeleteIdentityResponse -> ResourceT IO (MemoryResponse DeleteIdentityResponse) Source #

AsMemoryResponse GetIdentityDkimAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityDkimAttributes

Associated Types

type MemoryResponse GetIdentityDkimAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type MemoryResponse GetIdentityDkimAttributesResponse = GetIdentityDkimAttributesResponse

Methods

loadToMemory :: GetIdentityDkimAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityDkimAttributesResponse) Source #

AsMemoryResponse GetIdentityNotificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes

Associated Types

type MemoryResponse GetIdentityNotificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type MemoryResponse GetIdentityNotificationAttributesResponse = GetIdentityNotificationAttributesResponse

Methods

loadToMemory :: GetIdentityNotificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityNotificationAttributesResponse) Source #

AsMemoryResponse GetIdentityVerificationAttributesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes

Associated Types

type MemoryResponse GetIdentityVerificationAttributesResponse |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type MemoryResponse GetIdentityVerificationAttributesResponse = GetIdentityVerificationAttributesResponse

Methods

loadToMemory :: GetIdentityVerificationAttributesResponse -> ResourceT IO (MemoryResponse GetIdentityVerificationAttributesResponse) Source #

AsMemoryResponse ListIdentitiesResponse Source # |

Instance details

Defined in Aws.Ses.Commands.ListIdentities

Associated Types

type MemoryResponse ListIdentitiesResponse |
Instance details Defined in Aws.Ses.Commands.ListIdentities type MemoryResponse ListIdentitiesResponse = ListIdentitiesResponse

Methods

loadToMemory :: ListIdentitiesResponse -> ResourceT IO (MemoryResponse ListIdentitiesResponse) Source #

AsMemoryResponse SendRawEmailResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SendRawEmail

Associated Types

type MemoryResponse SendRawEmailResponse |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type MemoryResponse SendRawEmailResponse = SendRawEmailResponse

Methods

loadToMemory :: SendRawEmailResponse -> ResourceT IO (MemoryResponse SendRawEmailResponse) Source #

AsMemoryResponse SetIdentityDkimEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityDkimEnabled

Associated Types

type MemoryResponse SetIdentityDkimEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type MemoryResponse SetIdentityDkimEnabledResponse = SetIdentityDkimEnabledResponse

Methods

loadToMemory :: SetIdentityDkimEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityDkimEnabledResponse) Source #

AsMemoryResponse SetIdentityFeedbackForwardingEnabledResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled

Associated Types

type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type MemoryResponse SetIdentityFeedbackForwardingEnabledResponse = SetIdentityFeedbackForwardingEnabledResponse

Methods

loadToMemory :: SetIdentityFeedbackForwardingEnabledResponse -> ResourceT IO (MemoryResponse SetIdentityFeedbackForwardingEnabledResponse) Source #

AsMemoryResponse SetIdentityNotificationTopicResponse Source # |

Instance details

Defined in Aws.Ses.Commands.SetIdentityNotificationTopic

Associated Types

type MemoryResponse SetIdentityNotificationTopicResponse |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type MemoryResponse SetIdentityNotificationTopicResponse = SetIdentityNotificationTopicResponse

Methods

loadToMemory :: SetIdentityNotificationTopicResponse -> ResourceT IO (MemoryResponse SetIdentityNotificationTopicResponse) Source #

AsMemoryResponse VerifyDomainDkimResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainDkim

Associated Types

type MemoryResponse VerifyDomainDkimResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type MemoryResponse VerifyDomainDkimResponse = VerifyDomainDkimResponse

Methods

loadToMemory :: VerifyDomainDkimResponse -> ResourceT IO (MemoryResponse VerifyDomainDkimResponse) Source #

AsMemoryResponse VerifyDomainIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyDomainIdentity

Associated Types

type MemoryResponse VerifyDomainIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type MemoryResponse VerifyDomainIdentityResponse = VerifyDomainIdentityResponse

Methods

loadToMemory :: VerifyDomainIdentityResponse -> ResourceT IO (MemoryResponse VerifyDomainIdentityResponse) Source #

AsMemoryResponse VerifyEmailIdentityResponse Source # |

Instance details

Defined in Aws.Ses.Commands.VerifyEmailIdentity

Associated Types

type MemoryResponse VerifyEmailIdentityResponse |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type MemoryResponse VerifyEmailIdentityResponse = VerifyEmailIdentityResponse

Methods

loadToMemory :: VerifyEmailIdentityResponse -> ResourceT IO (MemoryResponse VerifyEmailIdentityResponse) Source #

AsMemoryResponse BatchDeleteAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchDeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchDeleteAttributesResponse = BatchDeleteAttributesResponse

Methods

loadToMemory :: BatchDeleteAttributesResponse -> ResourceT IO (MemoryResponse BatchDeleteAttributesResponse) Source #

AsMemoryResponse BatchPutAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse BatchPutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse BatchPutAttributesResponse = BatchPutAttributesResponse

Methods

loadToMemory :: BatchPutAttributesResponse -> ResourceT IO (MemoryResponse BatchPutAttributesResponse) Source #

AsMemoryResponse DeleteAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse DeleteAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse DeleteAttributesResponse = DeleteAttributesResponse

Methods

loadToMemory :: DeleteAttributesResponse -> ResourceT IO (MemoryResponse DeleteAttributesResponse) Source #

AsMemoryResponse GetAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse GetAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse GetAttributesResponse = GetAttributesResponse

Methods

loadToMemory :: GetAttributesResponse -> ResourceT IO (MemoryResponse GetAttributesResponse) Source #

AsMemoryResponse PutAttributesResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Attributes

Associated Types

type MemoryResponse PutAttributesResponse |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type MemoryResponse PutAttributesResponse = PutAttributesResponse

Methods

loadToMemory :: PutAttributesResponse -> ResourceT IO (MemoryResponse PutAttributesResponse) Source #

AsMemoryResponse CreateDomainResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse CreateDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse CreateDomainResponse = CreateDomainResponse

Methods

loadToMemory :: CreateDomainResponse -> ResourceT IO (MemoryResponse CreateDomainResponse) Source #

AsMemoryResponse DeleteDomainResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DeleteDomainResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DeleteDomainResponse = DeleteDomainResponse

Methods

loadToMemory :: DeleteDomainResponse -> ResourceT IO (MemoryResponse DeleteDomainResponse) Source #

AsMemoryResponse DomainMetadataResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse DomainMetadataResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse DomainMetadataResponse = DomainMetadataResponse

Methods

loadToMemory :: DomainMetadataResponse -> ResourceT IO (MemoryResponse DomainMetadataResponse) Source #

AsMemoryResponse ListDomainsResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Domain

Associated Types

type MemoryResponse ListDomainsResponse |
Instance details Defined in Aws.SimpleDb.Commands.Domain type MemoryResponse ListDomainsResponse = ListDomainsResponse

Methods

loadToMemory :: ListDomainsResponse -> ResourceT IO (MemoryResponse ListDomainsResponse) Source #

AsMemoryResponse SelectResponse Source # |

Instance details

Defined in Aws.SimpleDb.Commands.Select

Associated Types

type MemoryResponse SelectResponse |
Instance details Defined in Aws.SimpleDb.Commands.Select type MemoryResponse SelectResponse = SelectResponse

Methods

loadToMemory :: SelectResponse -> ResourceT IO (MemoryResponse SelectResponse) Source #

AsMemoryResponse ChangeMessageVisibilityResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse ChangeMessageVisibilityResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse ChangeMessageVisibilityResponse = ChangeMessageVisibilityResponse

Methods

loadToMemory :: ChangeMessageVisibilityResponse -> ResourceT IO (MemoryResponse ChangeMessageVisibilityResponse) Source #

AsMemoryResponse DeleteMessageResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse DeleteMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse DeleteMessageResponse = DeleteMessageResponse

Methods

loadToMemory :: DeleteMessageResponse -> ResourceT IO (MemoryResponse DeleteMessageResponse) Source #

AsMemoryResponse ReceiveMessageResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse ReceiveMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse ReceiveMessageResponse = ReceiveMessageResponse

Methods

loadToMemory :: ReceiveMessageResponse -> ResourceT IO (MemoryResponse ReceiveMessageResponse) Source #

AsMemoryResponse SendMessageResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Message

Associated Types

type MemoryResponse SendMessageResponse |
Instance details Defined in Aws.Sqs.Commands.Message type MemoryResponse SendMessageResponse = SendMessageResponse

Methods

loadToMemory :: SendMessageResponse -> ResourceT IO (MemoryResponse SendMessageResponse) Source #

AsMemoryResponse AddPermissionResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse AddPermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse AddPermissionResponse = AddPermissionResponse

Methods

loadToMemory :: AddPermissionResponse -> ResourceT IO (MemoryResponse AddPermissionResponse) Source #

AsMemoryResponse RemovePermissionResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Permission

Associated Types

type MemoryResponse RemovePermissionResponse |
Instance details Defined in Aws.Sqs.Commands.Permission type MemoryResponse RemovePermissionResponse = RemovePermissionResponse

Methods

loadToMemory :: RemovePermissionResponse -> ResourceT IO (MemoryResponse RemovePermissionResponse) Source #

AsMemoryResponse CreateQueueResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse

Methods

loadToMemory :: CreateQueueResponse -> ResourceT IO (MemoryResponse CreateQueueResponse) Source #

AsMemoryResponse DeleteQueueResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse

Methods

loadToMemory :: DeleteQueueResponse -> ResourceT IO (MemoryResponse DeleteQueueResponse) Source #

AsMemoryResponse ListQueuesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse

Methods

loadToMemory :: ListQueuesResponse -> ResourceT IO (MemoryResponse ListQueuesResponse) Source #

AsMemoryResponse GetQueueAttributesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse GetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse GetQueueAttributesResponse = GetQueueAttributesResponse

Methods

loadToMemory :: GetQueueAttributesResponse -> ResourceT IO (MemoryResponse GetQueueAttributesResponse) Source #

AsMemoryResponse SetQueueAttributesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.QueueAttributes

Associated Types

type MemoryResponse SetQueueAttributesResponse |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type MemoryResponse SetQueueAttributesResponse = SetQueueAttributesResponse

Methods

loadToMemory :: SetQueueAttributesResponse -> ResourceT IO (MemoryResponse SetQueueAttributesResponse) Source #

## Exception types

newtype XmlException Source #

An error that occurred during XML parsing / validation.

Constructors

XmlException |

Fields

- xmlErrorMessage :: String

#### Instances

Instances details

Exception XmlException Source # |
Instance details Defined in Aws.Core Methods toException :: XmlException -> SomeException Source # fromException :: SomeException -> Maybe XmlException Source # displayException :: XmlException -> String Source # backtraceDesired :: XmlException -> Bool Source #
Show XmlException Source # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> XmlException -> ShowS Source # show :: XmlException -> String Source # showList :: [XmlException] -> ShowS Source #

newtype HeaderException Source #

An error that occurred during header parsing / validation.

Constructors

HeaderException |

Fields

- headerErrorMessage :: String

#### Instances

Instances details

Exception HeaderException Source # |
Instance details Defined in Aws.Core Methods toException :: HeaderException -> SomeException Source # fromException :: SomeException -> Maybe HeaderException Source # displayException :: HeaderException -> String Source # backtraceDesired :: HeaderException -> Bool Source #
Show HeaderException Source # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> HeaderException -> ShowS Source # show :: HeaderException -> String Source # showList :: [HeaderException] -> ShowS Source #

newtype FormException Source #

An error that occurred during form parsing / validation.

Constructors

FormException |

Fields

- formErrorMesage :: String

#### Instances

Instances details

Exception FormException Source # |
Instance details Defined in Aws.Core Methods toException :: FormException -> SomeException Source # fromException :: SomeException -> Maybe FormException Source # displayException :: FormException -> String Source # backtraceDesired :: FormException -> Bool Source #
Show FormException Source # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> FormException -> ShowS Source # show :: FormException -> String Source # showList :: [FormException] -> ShowS Source #

# Query

## Service configuration

type family ServiceConfiguration request :: Type -> Type Source #

Additional information, like API endpoints and service-specific preferences.

#### Instances

Instances details

type ServiceConfiguration BatchGetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem type ServiceConfiguration BatchGetItem = DdbConfiguration
type ServiceConfiguration BatchWriteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem type ServiceConfiguration BatchWriteItem = DdbConfiguration
type ServiceConfiguration DeleteItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem type ServiceConfiguration DeleteItem = DdbConfiguration
type ServiceConfiguration GetItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem type ServiceConfiguration GetItem = DdbConfiguration
type ServiceConfiguration PutItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem type ServiceConfiguration PutItem = DdbConfiguration
type ServiceConfiguration Query Source # |
Instance details Defined in Aws.DynamoDb.Commands.Query type ServiceConfiguration Query = DdbConfiguration
type ServiceConfiguration Scan Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan type ServiceConfiguration Scan = DdbConfiguration
type ServiceConfiguration CreateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration CreateTable = DdbConfiguration
type ServiceConfiguration DeleteTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DeleteTable = DdbConfiguration
type ServiceConfiguration DescribeTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration DescribeTable = DdbConfiguration
type ServiceConfiguration ListTables Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration ListTables = DdbConfiguration
type ServiceConfiguration UpdateTable Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table type ServiceConfiguration UpdateTable = DdbConfiguration
type ServiceConfiguration UpdateItem Source # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem type ServiceConfiguration UpdateItem = DdbConfiguration
type ServiceConfiguration AddUserToGroup Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup type ServiceConfiguration AddUserToGroup = IamConfiguration
type ServiceConfiguration CreateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey type ServiceConfiguration CreateAccessKey = IamConfiguration
type ServiceConfiguration CreateGroup Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup type ServiceConfiguration CreateGroup = IamConfiguration
type ServiceConfiguration CreateUser Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser type ServiceConfiguration CreateUser = IamConfiguration
type ServiceConfiguration DeleteAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey type ServiceConfiguration DeleteAccessKey = IamConfiguration
type ServiceConfiguration DeleteGroup Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup type ServiceConfiguration DeleteGroup = IamConfiguration
type ServiceConfiguration DeleteGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration
type ServiceConfiguration DeleteUser Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser type ServiceConfiguration DeleteUser = IamConfiguration
type ServiceConfiguration DeleteUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy type ServiceConfiguration DeleteUserPolicy = IamConfiguration
type ServiceConfiguration GetGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy type ServiceConfiguration GetGroupPolicy = IamConfiguration
type ServiceConfiguration GetUser Source # |
Instance details Defined in Aws.Iam.Commands.GetUser type ServiceConfiguration GetUser = IamConfiguration
type ServiceConfiguration GetUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy type ServiceConfiguration GetUserPolicy = IamConfiguration
type ServiceConfiguration ListAccessKeys Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys type ServiceConfiguration ListAccessKeys = IamConfiguration
type ServiceConfiguration ListGroupPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies type ServiceConfiguration ListGroupPolicies = IamConfiguration
type ServiceConfiguration ListGroups Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups type ServiceConfiguration ListGroups = IamConfiguration
type ServiceConfiguration ListMfaDevices Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices type ServiceConfiguration ListMfaDevices = IamConfiguration
type ServiceConfiguration ListUserPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration
type ServiceConfiguration ListUsers Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration
type ServiceConfiguration PutGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy type ServiceConfiguration PutGroupPolicy = IamConfiguration
type ServiceConfiguration PutUserPolicy Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy type ServiceConfiguration PutUserPolicy = IamConfiguration
type ServiceConfiguration RemoveUserFromGroup Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup type ServiceConfiguration RemoveUserFromGroup = IamConfiguration
type ServiceConfiguration UpdateAccessKey Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration
type ServiceConfiguration UpdateGroup Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup type ServiceConfiguration UpdateGroup = IamConfiguration
type ServiceConfiguration UpdateUser Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser type ServiceConfiguration UpdateUser = IamConfiguration
type ServiceConfiguration CopyObject Source # |
Instance details Defined in Aws.S3.Commands.CopyObject type ServiceConfiguration CopyObject = S3Configuration
type ServiceConfiguration DeleteBucket Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket type ServiceConfiguration DeleteBucket = S3Configuration
type ServiceConfiguration DeleteObject Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject type ServiceConfiguration DeleteObject = S3Configuration
type ServiceConfiguration DeleteObjectVersion Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion type ServiceConfiguration DeleteObjectVersion = S3Configuration
type ServiceConfiguration DeleteObjects Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects type ServiceConfiguration DeleteObjects = S3Configuration
type ServiceConfiguration GetBucket Source # |
Instance details Defined in Aws.S3.Commands.GetBucket type ServiceConfiguration GetBucket = S3Configuration
type ServiceConfiguration GetBucketLocation Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation type ServiceConfiguration GetBucketLocation = S3Configuration
type ServiceConfiguration GetBucketObjectVersions Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions type ServiceConfiguration GetBucketObjectVersions = S3Configuration
type ServiceConfiguration GetBucketVersioning Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning type ServiceConfiguration GetBucketVersioning = S3Configuration
type ServiceConfiguration GetObject Source # |
Instance details Defined in Aws.S3.Commands.GetObject type ServiceConfiguration GetObject = S3Configuration
type ServiceConfiguration GetService Source # |
Instance details Defined in Aws.S3.Commands.GetService type ServiceConfiguration GetService = S3Configuration
type ServiceConfiguration HeadObject Source # |
Instance details Defined in Aws.S3.Commands.HeadObject type ServiceConfiguration HeadObject = S3Configuration
type ServiceConfiguration AbortMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration AbortMultipartUpload = S3Configuration
type ServiceConfiguration CompleteMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration CompleteMultipartUpload = S3Configuration
type ServiceConfiguration InitiateMultipartUpload Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration InitiateMultipartUpload = S3Configuration
type ServiceConfiguration UploadPart Source # |
Instance details Defined in Aws.S3.Commands.Multipart type ServiceConfiguration UploadPart = S3Configuration
type ServiceConfiguration PutBucket Source # |
Instance details Defined in Aws.S3.Commands.PutBucket type ServiceConfiguration PutBucket = S3Configuration
type ServiceConfiguration PutBucketVersioning Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning type ServiceConfiguration PutBucketVersioning = S3Configuration
type ServiceConfiguration PutObject Source # |
Instance details Defined in Aws.S3.Commands.PutObject type ServiceConfiguration PutObject = S3Configuration
type ServiceConfiguration DeleteIdentity Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity type ServiceConfiguration DeleteIdentity = SesConfiguration
type ServiceConfiguration GetIdentityDkimAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes type ServiceConfiguration GetIdentityDkimAttributes = SesConfiguration
type ServiceConfiguration GetIdentityNotificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes type ServiceConfiguration GetIdentityNotificationAttributes = SesConfiguration
type ServiceConfiguration GetIdentityVerificationAttributes Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes type ServiceConfiguration GetIdentityVerificationAttributes = SesConfiguration
type ServiceConfiguration ListIdentities Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities type ServiceConfiguration ListIdentities = SesConfiguration
type ServiceConfiguration SendRawEmail Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail type ServiceConfiguration SendRawEmail = SesConfiguration
type ServiceConfiguration SetIdentityDkimEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled type ServiceConfiguration SetIdentityDkimEnabled = SesConfiguration
type ServiceConfiguration SetIdentityFeedbackForwardingEnabled Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled type ServiceConfiguration SetIdentityFeedbackForwardingEnabled = SesConfiguration
type ServiceConfiguration SetIdentityNotificationTopic Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic type ServiceConfiguration SetIdentityNotificationTopic = SesConfiguration
type ServiceConfiguration VerifyDomainDkim Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim type ServiceConfiguration VerifyDomainDkim = SesConfiguration
type ServiceConfiguration VerifyDomainIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity type ServiceConfiguration VerifyDomainIdentity = SesConfiguration
type ServiceConfiguration VerifyEmailIdentity Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity type ServiceConfiguration VerifyEmailIdentity = SesConfiguration
type ServiceConfiguration BatchDeleteAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchDeleteAttributes = SdbConfiguration
type ServiceConfiguration BatchPutAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration BatchPutAttributes = SdbConfiguration
type ServiceConfiguration DeleteAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration DeleteAttributes = SdbConfiguration
type ServiceConfiguration GetAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration GetAttributes = SdbConfiguration
type ServiceConfiguration PutAttributes Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes type ServiceConfiguration PutAttributes = SdbConfiguration
type ServiceConfiguration CreateDomain Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration CreateDomain = SdbConfiguration
type ServiceConfiguration DeleteDomain Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DeleteDomain = SdbConfiguration
type ServiceConfiguration DomainMetadata Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration DomainMetadata = SdbConfiguration
type ServiceConfiguration ListDomains Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain type ServiceConfiguration ListDomains = SdbConfiguration
type ServiceConfiguration Select Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select type ServiceConfiguration Select = SdbConfiguration
type ServiceConfiguration ChangeMessageVisibility Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration ChangeMessageVisibility = SqsConfiguration
type ServiceConfiguration DeleteMessage Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration DeleteMessage = SqsConfiguration
type ServiceConfiguration ReceiveMessage Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration ReceiveMessage = SqsConfiguration
type ServiceConfiguration SendMessage Source # |
Instance details Defined in Aws.Sqs.Commands.Message type ServiceConfiguration SendMessage = SqsConfiguration
type ServiceConfiguration AddPermission Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration AddPermission = SqsConfiguration
type ServiceConfiguration RemovePermission Source # |
Instance details Defined in Aws.Sqs.Commands.Permission type ServiceConfiguration RemovePermission = SqsConfiguration
type ServiceConfiguration CreateQueue Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration
type ServiceConfiguration DeleteQueue Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration
type ServiceConfiguration ListQueues Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration
type ServiceConfiguration GetQueueAttributes Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration GetQueueAttributes = SqsConfiguration
type ServiceConfiguration SetQueueAttributes Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes type ServiceConfiguration SetQueueAttributes = SqsConfiguration

class DefaultServiceConfiguration config where Source #

Default configuration for a specific service.

Minimal complete definition

defServiceConfig

Methods

defServiceConfig :: config Source #

Default service configuration.

debugServiceConfig :: config Source #

Default debugging-only configuration. (Normally using HTTP instead of HTTPS for easier debugging.)

#### Instances

Instances details

DefaultServiceConfiguration (DdbConfiguration NormalQuery) Source # |
Instance details Defined in Aws.DynamoDb.Core Methods defServiceConfig :: DdbConfiguration NormalQuery Source # debugServiceConfig :: DdbConfiguration NormalQuery Source #
DefaultServiceConfiguration (IamConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration NormalQuery Source # debugServiceConfig :: IamConfiguration NormalQuery Source #
DefaultServiceConfiguration (IamConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration UriOnlyQuery Source # debugServiceConfig :: IamConfiguration UriOnlyQuery Source #
DefaultServiceConfiguration (S3Configuration NormalQuery) Source # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration NormalQuery Source # debugServiceConfig :: S3Configuration NormalQuery Source #
DefaultServiceConfiguration (S3Configuration UriOnlyQuery) Source # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration UriOnlyQuery Source # debugServiceConfig :: S3Configuration UriOnlyQuery Source #
DefaultServiceConfiguration (SesConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery Source # debugServiceConfig :: SesConfiguration NormalQuery Source #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery Source # debugServiceConfig :: SesConfiguration UriOnlyQuery Source #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery Source # debugServiceConfig :: SdbConfiguration NormalQuery Source #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery Source # debugServiceConfig :: SdbConfiguration UriOnlyQuery Source #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery Source # debugServiceConfig :: SqsConfiguration NormalQuery Source #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery Source # debugServiceConfig :: SqsConfiguration UriOnlyQuery Source #

data NormalQuery Source #

Tag type for normal queries.

#### Instances

Instances details

DefaultServiceConfiguration (DdbConfiguration NormalQuery) Source # |
Instance details Defined in Aws.DynamoDb.Core Methods defServiceConfig :: DdbConfiguration NormalQuery Source # debugServiceConfig :: DdbConfiguration NormalQuery Source #
DefaultServiceConfiguration (IamConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration NormalQuery Source # debugServiceConfig :: IamConfiguration NormalQuery Source #
DefaultServiceConfiguration (S3Configuration NormalQuery) Source # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration NormalQuery Source # debugServiceConfig :: S3Configuration NormalQuery Source #
DefaultServiceConfiguration (SesConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration NormalQuery Source # debugServiceConfig :: SesConfiguration NormalQuery Source #
DefaultServiceConfiguration (SdbConfiguration NormalQuery) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery Source # debugServiceConfig :: SdbConfiguration NormalQuery Source #
DefaultServiceConfiguration (SqsConfiguration NormalQuery) Source # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration NormalQuery Source # debugServiceConfig :: SqsConfiguration NormalQuery Source #
Default (DdbConfiguration NormalQuery) Source # |
Instance details Defined in Aws.DynamoDb.Core Methods def :: DdbConfiguration NormalQuery Source #

data UriOnlyQuery Source #

Tag type for URI-only queries.

#### Instances

Instances details

DefaultServiceConfiguration (IamConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Iam.Core Methods defServiceConfig :: IamConfiguration UriOnlyQuery Source # debugServiceConfig :: IamConfiguration UriOnlyQuery Source #
DefaultServiceConfiguration (S3Configuration UriOnlyQuery) Source # |
Instance details Defined in Aws.S3.Core Methods defServiceConfig :: S3Configuration UriOnlyQuery Source # debugServiceConfig :: S3Configuration UriOnlyQuery Source #
DefaultServiceConfiguration (SesConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Ses.Core Methods defServiceConfig :: SesConfiguration UriOnlyQuery Source # debugServiceConfig :: SesConfiguration UriOnlyQuery Source #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery Source # debugServiceConfig :: SdbConfiguration UriOnlyQuery Source #
DefaultServiceConfiguration (SqsConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.Sqs.Core Methods defServiceConfig :: SqsConfiguration UriOnlyQuery Source # debugServiceConfig :: SqsConfiguration UriOnlyQuery Source #

## Expiration

data TimeInfo Source #

Whether to restrict the signature validity with a plain timestamp, or with explicit expiration (absolute or relative).

Constructors

Timestamp | Use a simple timestamp to let AWS check the request validity.
ExpiresAt | Let requests expire at a specific fixed time.

Fields

- fromExpiresAt :: UTCTime

ExpiresIn | Let requests expire a specific number of seconds after they were generated.

Fields

- fromExpiresIn :: NominalDiffTime

#### Instances

Instances details

Show TimeInfo Source # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> TimeInfo -> ShowS Source # show :: TimeInfo -> String Source # showList :: [TimeInfo] -> ShowS Source #

# Transactions

class (SignQuery r, ResponseConsumer r a, Loggable (ResponseMetadata a)) => Transaction r a | r -> a Source #

Associates a request type and a response type in a bi-directional way.

This allows the type-checker to infer the response type when given the request type and vice versa.

Note that the actual request generation and response parsing resides in `SignQuery` and `ResponseConsumer` respectively.

#### Instances

Instances details

Transaction BatchGetItem BatchGetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchGetItem
Transaction BatchWriteItem BatchWriteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.BatchWriteItem
Transaction DeleteItem DeleteItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.DeleteItem
Transaction GetItem GetItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.GetItem
Transaction PutItem PutItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.PutItem
Transaction Query QueryResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Query
Transaction Scan ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan
Transaction CreateTable CreateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction DeleteTable DeleteTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction DescribeTable DescribeTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction ListTables ListTablesResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction UpdateTable UpdateTableResult Source # |
Instance details Defined in Aws.DynamoDb.Commands.Table
Transaction UpdateItem UpdateItemResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.UpdateItem
Transaction AddUserToGroup AddUserToGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.AddUserToGroup
Transaction CreateAccessKey CreateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateAccessKey
Transaction CreateGroup CreateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateGroup
Transaction CreateUser CreateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.CreateUser
Transaction DeleteAccessKey DeleteAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteAccessKey
Transaction DeleteGroup DeleteGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroup
Transaction DeleteGroupPolicy DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
Transaction DeleteUser DeleteUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUser
Transaction DeleteUserPolicy DeleteUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteUserPolicy
Transaction GetGroupPolicy GetGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetGroupPolicy
Transaction GetUser GetUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUser
Transaction GetUserPolicy GetUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.GetUserPolicy
Transaction ListAccessKeys ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys
Transaction ListGroupPolicies ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies
Transaction ListGroups ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups
Transaction ListMfaDevices ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices
Transaction ListUserPolicies ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
Transaction ListUsers ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers
Transaction PutGroupPolicy PutGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutGroupPolicy
Transaction PutUserPolicy PutUserPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.PutUserPolicy
Transaction RemoveUserFromGroup RemoveUserFromGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.RemoveUserFromGroup
Transaction UpdateAccessKey UpdateAccessKeyResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
Transaction UpdateGroup UpdateGroupResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateGroup
Transaction UpdateUser UpdateUserResponse Source # |
Instance details Defined in Aws.Iam.Commands.UpdateUser
Transaction CopyObject CopyObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.CopyObject
Transaction DeleteBucket DeleteBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteBucket
Transaction DeleteObject DeleteObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObject
Transaction DeleteObjectVersion DeleteObjectVersionResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjectVersion
Transaction DeleteObjects DeleteObjectsResponse Source # |
Instance details Defined in Aws.S3.Commands.DeleteObjects
Transaction GetBucket GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket
Transaction GetBucketLocation GetBucketLocationResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketLocation
Transaction GetBucketObjectVersions GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions
Transaction GetBucketVersioning GetBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketVersioning
Transaction GetObject GetObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.GetObject
Transaction GetService GetServiceResponse Source # |
Instance details Defined in Aws.S3.Commands.GetService
Transaction HeadObject HeadObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.HeadObject
Transaction AbortMultipartUpload AbortMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction CompleteMultipartUpload CompleteMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction InitiateMultipartUpload InitiateMultipartUploadResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction UploadPart UploadPartResponse Source # |
Instance details Defined in Aws.S3.Commands.Multipart
Transaction PutBucket PutBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucket
Transaction PutBucketVersioning PutBucketVersioningResponse Source # |
Instance details Defined in Aws.S3.Commands.PutBucketVersioning
Transaction PutObject PutObjectResponse Source # |
Instance details Defined in Aws.S3.Commands.PutObject
Transaction DeleteIdentity DeleteIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.DeleteIdentity
Transaction GetIdentityDkimAttributes GetIdentityDkimAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityDkimAttributes
Transaction GetIdentityNotificationAttributes GetIdentityNotificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityNotificationAttributes
Transaction GetIdentityVerificationAttributes GetIdentityVerificationAttributesResponse Source # |
Instance details Defined in Aws.Ses.Commands.GetIdentityVerificationAttributes
Transaction ListIdentities ListIdentitiesResponse Source # |
Instance details Defined in Aws.Ses.Commands.ListIdentities
Transaction SendRawEmail SendRawEmailResponse Source # |
Instance details Defined in Aws.Ses.Commands.SendRawEmail
Transaction SetIdentityDkimEnabled SetIdentityDkimEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityDkimEnabled
Transaction SetIdentityFeedbackForwardingEnabled SetIdentityFeedbackForwardingEnabledResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityFeedbackForwardingEnabled
Transaction SetIdentityNotificationTopic SetIdentityNotificationTopicResponse Source # |
Instance details Defined in Aws.Ses.Commands.SetIdentityNotificationTopic
Transaction VerifyDomainDkim VerifyDomainDkimResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainDkim
Transaction VerifyDomainIdentity VerifyDomainIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyDomainIdentity
Transaction VerifyEmailIdentity VerifyEmailIdentityResponse Source # |
Instance details Defined in Aws.Ses.Commands.VerifyEmailIdentity
Transaction BatchDeleteAttributes BatchDeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction BatchPutAttributes BatchPutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction DeleteAttributes DeleteAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction GetAttributes GetAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction PutAttributes PutAttributesResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Attributes
Transaction CreateDomain CreateDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction DeleteDomain DeleteDomainResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction DomainMetadata DomainMetadataResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction ListDomains ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain
Transaction Select SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select
Transaction ChangeMessageVisibility ChangeMessageVisibilityResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction DeleteMessage DeleteMessageResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction ReceiveMessage ReceiveMessageResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction SendMessage SendMessageResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Message
Transaction AddPermission AddPermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission
Transaction RemovePermission RemovePermissionResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Permission
Transaction CreateQueue CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction DeleteQueue DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction ListQueues ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
Transaction GetQueueAttributes GetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes
Transaction SetQueueAttributes SetQueueAttributesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.QueueAttributes

class Transaction r a => IteratedTransaction r a | r -> a Source #

A transaction that may need to be split over multiple requests, for example because of upstream response size limits.

Minimal complete definition

nextIteratedRequest

#### Instances

Instances details

IteratedTransaction Query QueryResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Query Methods nextIteratedRequest :: Query -> QueryResponse -> Maybe Query Source #
IteratedTransaction Scan ScanResponse Source # |
Instance details Defined in Aws.DynamoDb.Commands.Scan Methods nextIteratedRequest :: Scan -> ScanResponse -> Maybe Scan Source #
IteratedTransaction ListAccessKeys ListAccessKeysResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListAccessKeys Methods nextIteratedRequest :: ListAccessKeys -> ListAccessKeysResponse -> Maybe ListAccessKeys Source #
IteratedTransaction ListGroupPolicies ListGroupPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroupPolicies Methods nextIteratedRequest :: ListGroupPolicies -> ListGroupPoliciesResponse -> Maybe ListGroupPolicies Source #
IteratedTransaction ListGroups ListGroupsResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListGroups Methods nextIteratedRequest :: ListGroups -> ListGroupsResponse -> Maybe ListGroups Source #
IteratedTransaction ListMfaDevices ListMfaDevicesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListMfaDevices Methods nextIteratedRequest :: ListMfaDevices -> ListMfaDevicesResponse -> Maybe ListMfaDevices Source #
IteratedTransaction ListUserPolicies ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies Source #
IteratedTransaction ListUsers ListUsersResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers Source #
IteratedTransaction GetBucket GetBucketResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucket Methods nextIteratedRequest :: GetBucket -> GetBucketResponse -> Maybe GetBucket Source #
IteratedTransaction GetBucketObjectVersions GetBucketObjectVersionsResponse Source # |
Instance details Defined in Aws.S3.Commands.GetBucketObjectVersions Methods nextIteratedRequest :: GetBucketObjectVersions -> GetBucketObjectVersionsResponse -> Maybe GetBucketObjectVersions Source #
IteratedTransaction ListDomains ListDomainsResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Domain Methods nextIteratedRequest :: ListDomains -> ListDomainsResponse -> Maybe ListDomains Source #
IteratedTransaction Select SelectResponse Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods nextIteratedRequest :: Select -> SelectResponse -> Maybe Select Source #

# Credentials

data Credentials Source #

AWS access credentials.

Constructors

Credentials |

Fields

- accessKeyID :: ByteString

  AWS Access Key ID.

- secretAccessKey :: ByteString

  AWS Secret Access Key.

- v4SigningKeys :: IORef [V4Key]

  Signing keys for signature version 4

- iamToken :: Maybe ByteString

  Signed IAM token

- isAnonymousCredentials :: Bool

  Set when the credentials are intended for anonymous access.

#### Instances

Instances details

Show Credentials Source # |
Instance details Defined in Aws.Core Methods showsPrec :: Int -> Credentials -> ShowS Source # show :: Credentials -> String Source # showList :: [Credentials] -> ShowS Source #

makeCredentials Source #

Arguments

:: MonadIO io |
=> ByteString | AWS Access Key ID
-> ByteString | AWS Secret Access Key
-> io Credentials |

credentialsDefaultFile :: MonadIO io => io (Maybe FilePath) Source #

The file where access credentials are loaded, when using `loadCredentialsDefault`. May return `Nothing` if `HOME` is unset.

Value: directory`/.aws-keys`

credentialsDefaultKey :: Text Source #

The key to be used in the access credential file that is loaded, when using `loadCredentialsDefault`.

Value: `default`

loadCredentialsFromFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) Source #

Load credentials from a (text) file given a key name.

The file consists of a sequence of lines, each in the following format:

    keyName awsKeyID awsKeySecret

loadCredentialsFromEnv :: MonadIO io => io (Maybe Credentials) Source #

Load credentials from the environment variables `AWS_ACCESS_KEY_ID` and `AWS_ACCESS_KEY_SECRET` (or `AWS_SECRET_ACCESS_KEY`), if possible.

loadCredentialsFromInstanceMetadata :: MonadIO io => io (Maybe Credentials) Source #

loadCredentialsFromEnvOrFile :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) Source #

Load credentials from environment variables if possible, or alternatively from a file with a given key name.

See `loadCredentialsFromEnv` and `loadCredentialsFromFile` for details.

loadCredentialsFromEnvOrFileOrInstanceMetadata :: MonadIO io => FilePath -> Text -> io (Maybe Credentials) Source #

Load credentials from environment variables if possible, or alternatively from the instance metadata store, or alternatively from a file with a given key name.

See `loadCredentialsFromEnv`, `loadCredentialsFromFile` and `loadCredentialsFromInstanceMetadata` for details.

loadCredentialsDefault :: MonadIO io => io (Maybe Credentials) Source #

Load credentials from environment variables if possible, or alternative from the default file with the default key name.

Default file: directory`/.aws-keys` Default key name: `default`

See `loadCredentialsFromEnv` and `loadCredentialsFromFile` for details.

anonymousCredentials :: MonadIO io => io Credentials Source #

Make a dummy Credentials that can be used to access some AWS services anonymously.